CS::Math::Noise::Module::Const Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CS::Math::Noise::Module::Const Class Reference
Generator Modules

Noise module that outputs a constant value. More...

`#include <cstool/noise/module/const.h>`

Inheritance diagram for CS::Math::Noise::Module::Const:

List of all members.

## Public Member Functions
| Const ()
| Constructor.
double | GetConstValue () const
| Returns the constant output value for this noise module.
virtual int | GetSourceModuleCount () const
| Returns the number of source modules required by this noise module.
virtual double | GetValue (double x, double y, double z) const
| Generates an output value given the coordinates of the specified input value.
void | SetConstValue (double constValue)
| Sets the constant output value for this noise module.
## Protected Attributes
double | m_constValue
| Constant value.

## Detailed Description

Noise module that outputs a constant value.

To specify the constant value, call the SetConstValue() method.

This noise module is not useful by itself, but it is often used as a source module for other noise modules.

This noise module does not require any source modules.

Definition at line 56 of file const.h.

## Constructor & Destructor Documentation

CS::Math::Noise::Module::Const::Const | ( |  | ) |

Constructor.

The default constant value is set to CS::Math::Noise::Module::DEFAULT_CONST_VALUE.

## Member Function Documentation

double CS::Math::Noise::Module::Const::GetConstValue | ( |  | ) | const`[inline]`

Returns the constant output value for this noise module.

Returns:
  The constant output value for this noise module.

Definition at line 70 of file const.h.

virtual int CS::Math::Noise::Module::Const::GetSourceModuleCount | ( |  | ) | const`[inline, virtual]`

Returns the number of source modules required by this noise module.

Returns:
  The number of source modules required by this noise module.

Implements CS::Math::Noise::Module::Module.

Definition at line 75 of file const.h.

virtual double CS::Math::Noise::Module::Const::GetValue | ( | double | x,
|  | double | y,
|  | double | z
| ) |  | const`[inline, virtual]`

Generates an output value given the coordinates of the specified input value.

Parameters:

  x | The x coordinate of the input value.
  y | The y coordinate of the input value.
  z | The z coordinate of the input value.

Returns:
  The output value.

Precondition:
  All source modules required by this noise module have been passed to the SetSourceModule() method.

Before an application can call this method, it must first connect all required source modules via the SetSourceModule() method. If these source modules are not connected to this noise module, this method raises a debug assertion.

To determine the number of source modules required by this noise module, call the GetSourceModuleCount() method.

Implements CS::Math::Noise::Module::Module.

Definition at line 80 of file const.h.

void CS::Math::Noise::Module::Const::SetConstValue | ( | double | constValue | ) | `[inline]`

Sets the constant output value for this noise module.

Parameters:

  constValue | The constant output value for this noise module.

Definition at line 88 of file const.h.

## Member Data Documentation

double CS::Math::Noise::Module::Const::m_constValue`[protected]`

Constant value.

Definition at line 96 of file const.h.

The documentation for this class was generated from the following file:

- cstool/noise/module/const.h